//
//  ZweiterViewController.swift
//  Storyboard Spielplatz
//
//  Created by Holger Hinzberg on 15.11.17.
//  Copyright © 2017 Holger Hinzberg. All rights reserved.
//

import UIKit

class ZweiterViewController: UIViewController
{
    @IBOutlet var ausgabeLabel: UILabel!
    @IBOutlet var zweiteAusgabeLabel: UILabel!
    
    var ausgabeText: String?
    var zweiterAusgabeText: String?
    
    override func viewDidLoad()
    {
        super.viewDidLoad()
        print("viewDidLoad - Die Szene wurde geladen")
        
        if self.ausgabeText != nil
        {
            self.ausgabeLabel.text = self.ausgabeText
        }
        else
        {
            self.ausgabeLabel.text = ""
        }
        
        if self.zweiterAusgabeText != nil
        {
            self.zweiteAusgabeLabel.text = self.zweiterAusgabeText
        }
        else
        {
            self.zweiteAusgabeLabel.text = ""
        }
    }
    
    override func viewWillAppear(_ animated: Bool)
    {
            super.viewWillAppear(animated)
        print("viewWillAppear - Die Szene soll angezeigt werden")
    }
    
    override func viewDidAppear(_ animated: Bool)
    {
            super.viewDidAppear(animated)
        print("viewDidAppear - Die Szene wird angezeigt")
    }
    
    override func viewDidDisappear(_ animated: Bool)
    {
            super.viewDidAppear(animated)
        print("viewDidDisappear - Die Szene wird nicht mehr angezeigt")
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    @IBAction func zurueckButtonBeruehrt(_ sender: Any)
    {
        // Zurück zur ersten Szene
        self.dismiss(animated: true, completion: nil)
    }
    
    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */
}
