//: Playground - noun: a place where people can play

import UIKit

// Instanz wird mit dem Convenience-Initializer erzeugt
let adresse1 = Adresse(strasse: "Hoher Wall", ort: "Dortmund", postleitzahl: "44137")

// Instanz wird mit dem Convenience-Initializer erzeugt
// Die Eigenschaften werden nachträglich zugewiesen
let adresse2 = Adresse()
adresse2.strasse = "Flughafenring"
adresse2.ort = "Dortmund"
adresse2.postleitzahl = "44319"

let mike = Spieler()
// Die geerbten Eigenschaften von Adresse setzen
mike.vorname = "Mike"
mike.nachname = "Maurer"
// Die Eigenschaften von Spieler setzen
mike.verein = "Ballprofis SV"
mike.trikotnummer = 12

// Ein Objekt mit Adressdaten erzeugen
let mikesAdresse = Adresse(strasse: "Mozartstraße", ort: "Unna", postleitzahl: "59423")
// Die Adressdaten dem Spieler zuweisen
mike.adresse = mikesAdresse

// Die Eigenschaften der Adresse setzen
// mike.adresse.strasse = "Mozartstraße"
// mike.adresse.ort = "Unna"
// mike.adresse.postleitzahl = "59423"

// Ausgabe der Eigenschaften
print("Ich bin \(mike.vorname) \(mike.nachname).")
//print("Ich wohne in der \(mike.adresse!.strasse)"
//    + "in \(mike.adresse!.ort).")


// Die Adressdaten können nur ausgegeben werden,
// wenn dem Spieler eine Adresse zugewiesen wurde.
// Sonst ist die Eigenschaft adresse gleich nil
if mike.adresse != nil
{
        print("Ich wohne in der \(mike.adresse!.strasse) in \(mike.adresse!.ort).")
}
else
{
    print("Es gibt keine Adressdaten.")
}


/*
let ort = mike.adresse?.ort ?? ""
let strasse = mike.adresse?.strasse ?? ""
print("Ich wohne in der \(strasse) in \(ort).")

if let strasse = mike.adresse?.strasse, let ort = mike.adresse?.ort
{
   print("Ich wohne in der \(strasse) in \(ort).")
}
*/

var ort = ""
var strasse = ""

if mike.adresse?.strasse != nil
{
    strasse = mike.adresse!.strasse
}

if mike.adresse?.ort != nil
{
    ort = mike.adresse!.ort
}

//print("Ich wohne in der \(strasse) in \(ort).")

mike.sagMirWoDoWohnst()




