//: Playground - noun: a place where people can play

import UIKit

// Äußerer Gültigkeitsbereich
var wert1 = 100
var wert2 = 200
var wert3 = 300

// if-Struktur mit einem eigenen Gültigkeitsbereich
if wert1 == 100
{
    // wert1 kann hier angesprochen werden
    wert1 = 50
    
    // Neue Variable nur für inneren Gültigkeitsbereich
    var wert4 = 400
    
    // Der Name wert2 kann hier erneut verwendet werden
    // und erzeugt eine neue Variable nur
    // für inneren Gültigkeitsbereich
    var wert2 = 20
}

// wert1 ist hier 50
// wert2 ist hier 200
// wert3 ist hier 300
// wert4 ist hier nicht bekannt

var zahlen = [3, 8, 2, -1, 9, 5, -6, 0]
var summe = 0

for zahl in zahlen
{
    guard zahl >= 0 else
    {
        // Nur positive Zahlen addieren
        continue
    }
    summe = summe + zahl
}

func werteAddieren(ersteZahl:Int, zweiteZahl:Int) -> Int
{
    guard ersteZahl >= 0 && zweiteZahl >= 0 else
    {
        // Nur positive Werte addieren!
        return 0
     }
    return ersteZahl + zweiteZahl
}
// Ist ein Parameter eine negative Zahl,
// ist der Rückgabewerte der Funktion immer 0
var dieSumme = werteAddieren (ersteZahl: -14, zweiteZahl: 5)

// Zeichenketten werden per String-Interpolation verbunden
let fahrzeug = "Auto"
let ziel = "Berlin"
let text = "Wir fahren mit dem \(fahrzeug) nach \(ziel)."
// String-Interpolation mit einer Berechnung
let x1 = 45
let x2 = 54
print("Die Summe von \(x1) und \(x2) ist \(x1+x2).")

