//
//  ViewController.swift
//  Texteingabe
//
//  Created by Holger Hinzberg on 25.07.17.
//  Copyright © 2017 Holger Hinzberg. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet var vornameTextfeld: UITextField!
    @IBOutlet var nachnameTextfeld: UITextField!
    @IBOutlet var alterTextfeld: UITextField!
    
    @IBOutlet var vornameAusgabeTextfeld: UILabel!
    @IBOutlet var nachnameAusgabeTextfeld: UILabel!
    @IBOutlet var alterAusgabeTextfeld: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    override var prefersStatusBarHidden: Bool
    {
        return true
    }
    
    @IBAction func uebernehmenButtonBeruehrt(_ sender: Any)
    {
        /*
        print("Vorname: \(self.vornameTextfeld.text!)")
        print("Nachname: \(self.nachnameTextfeld.text!)")
        print("Alter: \(self.alterTextfeld.text!)")
        */
        
        // Eine Objektinstanz erzeugen.
        let person = Person()
        
        // Die Werte zuweisen.
        person.vorname = self.vornameTextfeld.text!
        person.nachname = self.nachnameTextfeld.text!
        
        // Das Alter muss umgewandelt werden.
        if let alter = Int(self.alterTextfeld.text!)
        {
            person.alter = alter
        }
        
        // Alle Werte ausgeben
        person.sagMirWerDuBist()
        
        // Ausgabe der Eigenschaften auf der grafischen Oberfläche
        self.vornameAusgabeTextfeld.text = person.vorname
        self.nachnameAusgabeTextfeld.text = person.nachname
        self.alterAusgabeTextfeld.text = "\(person.alter)"
    }

    @IBAction func hintergrundBeruehrt(_ sender: Any)
    {
        // Die Tastatur ausblenden
        self.vornameTextfeld.resignFirstResponder()
        self.nachnameTextfeld.resignFirstResponder()
        self.alterTextfeld.resignFirstResponder()
        // self.view.endEditing(true)
    }
    
    @IBAction func vornameDidEnd(_ sender: Any)
    {
        // Das Textfeld für den Namen wird
        // der neue First Responder.
        self.nachnameTextfeld.becomeFirstResponder()
    }
    
    @IBAction func nachnameDidEnd(_ sender: Any)
    {
        // Das Textfeld für das Alter wird
        // der neue First Responder.
        self.alterTextfeld.becomeFirstResponder()
    }
    
    
    
    
    
    
    
    
    
}

