import Foundation

public class Person
{
    public var vorname:String
    public var nachname:String
    public var alter:Int
    
    // Initializer ohne Parameter
    public convenience init()
    {
        self.init(vorname: "", nachname: "", alter: 0)
    }
    
    // Berechnete Eigenschaft die aus vorname und
    // nachname die Eigenschaft name bildet
    public var name: String
    {
        return "\(self.vorname) \(self.nachname)"
    }
    
    public func sagMirWerDuBist()
    {
        print("Mein Name ist \(self.vorname) \(self.nachname).")
        print("Ich bin \(self.alter) Jahre alt.")
    }
    
    // Berechnete Eigenschaft für das
    // Alter der Person in Wochen
    // mit Getter und Setter
    public var alterInWochen: Int
    {
        get { return self.alter * 52 }
        
        set (wert)
        {
            self.alter = wert / 52
        }
    }
    
    // Ein Initializer, der Parameter entgegennimmt
    public init(vorname:String, nachname:String, alter:Int)
    {
        print("Initialisierer")
        self.vorname = vorname
        self.nachname = nachname
        self.alter = alter
    }
}

